#!/bin/bash
## Fix Backup-Restore in GNUmed script Version 0.2
##
## This script will copy a new pg_hba.conf to PostgreSQL with minimal gnumed changes 
## and automatically make the backup and restore .conf 
## that come with the GNUmed tarballs go where they are needed so
## it will be possible then to make backups and restore with the 
## scripts provided in the tarballs. As of JULY/2009 this script is packed with the 
## v10.6 database configuration files, if need be update the files manually OR give me a ## call and I'll try my best to help out   
## 
## This must be run by root
## (use at your own discretion) 
## 
## Copyright 2009, Dr. Rogerio Luz Coelho, M.D. dr.rogerioluzcoelho@gmail.com  
## this document is distributed under the GPL v3

cp gnumed* /etc/gnumed/
mv /etc/postgresql/8.3/main/pg_hba.conf /etc/postgresql/8.3/main/pg_hba.conf.before-gnumed
cp pg_hba.conf /etc/postgresql/8.3/main/pg_hba.conf
echo " ********** You are ready to use GNUmed and restore in a local database **********"
